#include <windows.h>
#include <stdio.h>
#include <conio.h>
#include "WUSBdrv.h"

int main()
{	
	int status = WUSB_Open();

	if(status == WUSB_ERROR)
	{
		printf("ERROR! Can`t open WodmanUSB device...\n");
		getch();
		return false;
	}
	else
	{
		printf("WodmanUSB Open Ok!\n");		
	}

	//   
	WUSB_SetupPortB(ASYNC_MODE); 


	//   1024 
	char buf[1024]; 
	
	/*
		  
		     
		0,1,2..254,255,0,1,2..254,255,0,1,2..254,255,0,1,2..254,255		
	*/
	for(int i = 0; i < sizeof(buf); i++)
	{
		buf[i] = i % 256;		
	} 

	/*
		     
		 , , 220
	*/
	buf[1023] = 220;
	
	unsigned int dwWrite;

	//    (  )
	status = WUSB_WritePortB(buf, sizeof(buf), &dwWrite);
	if(status == WUSB_ERROR)
	{
		printf("Write Error!\n");
	} 
	else if(status == WUSB_TIMEOUT)
	{
		printf("TIMEOUT!\n");
	}
	else if(status == WUSB_OK)
	{
		printf("Write OK!\n");
	}

	
	WUSB_Close();
	return true;
}

